"""
rsvg-fmap2.py
by Javantea
June 27, 2007

Draw friend maps with rsvg.
This cool library can easily draw any svg from file or memory.
This is the proper way to make dynamic, editable svg systems in Python.
Eventually this frame will be used to create many cool projects such as AltSci 
Composer.

"""

from sys import path, argv
path.append('.')
from rsvg_map2 import DisplaySVG, gtk

def main():
	import friendmap2
	seed = '222'
	filename = 'data/dodge_jav1.html'
	if (len (argv) > 1):
		filename = argv[1]
	#end if
	a = DisplaySVG('rsvg Friend Map Renderer in Python', friendmap2.FriendMap, (filename, seed, 1))
	gtk.gdk.threads_init()
	gtk.main()
#end def main()

if __name__ == '__main__':
    main()
#end if
