#!/usr/bin/env python3
"""
rsvg-omap2.py
by Javantea
June 27, 2007

Draw object maps with rsvg.
This cool library can easily draw any svg from file or memory.
This is the proper way to make dynamic, editable svg systems in Python.
Eventually this frame will be used to create many cool projects such as AltSci 
Composer.

"""
from sys import path, argv
path.append('.')
from rsvg_map2 import DisplaySVG, gtk

def main():
	import objmap1
	seed = '222'
	filename = 'data/viawget.dis'
	if (len (argv) > 1):
		filename = argv[1]
	#end if
	a = DisplaySVG('rsvg Object Map Renderer in Python', objmap1.objmap, (filename, seed))
	gtk.gdk.threads_init()
	gtk.main()
#end def main()

if __name__ == '__main__':
    main()
#end if
